=head1 NAME

Gtk2::Expander

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Expander

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface


=head1 METHODS

=head2 widget = Gtk2::Expander-E<gt>B<new> ($label=undef)

=over

=over

=item * $label (string or undef) 

=back

=back

=head2 widget = Gtk2::Expander-E<gt>B<new_with_mnemonic> ($label)

=over

=over

=item * $label (string) 

=back

=back

=head2 boolean = $expander-E<gt>B<get_expanded> 

=over

=back

=head2 $expander-E<gt>B<set_expanded> ($expanded)

=over

=over

=item * $expanded (boolean) 

=back

=back

=head2 string = $expander-E<gt>B<get_label> 

=over

=back

=head2 $expander-E<gt>B<set_label> ($label)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = $expander-E<gt>B<get_label_widget> 

=over

=back

=head2 $expander-E<gt>B<set_label_widget> ($label_widget)

=over

=over

=item * $label_widget (Gtk2::Widget) 

=back

=back

=head2 integer = $expander-E<gt>B<get_spacing> 

=over

=back

=head2 $expander-E<gt>B<set_spacing> ($spacing)

=over

=over

=item * $spacing (integer) 

=back

=back

=head2 boolean = $expander-E<gt>B<get_use_markup> 

=over

=back

=head2 $expander-E<gt>B<set_use_markup> ($use_markup)

=over

=over

=item * $use_markup (boolean) 

=back

=back

=head2 boolean = $expander-E<gt>B<get_use_underline> 

=over

=back

=head2 $expander-E<gt>B<set_use_underline> ($use_underline)

=over

=over

=item * $use_underline (boolean) 

=back

=back


=head1 PROPERTIES

=over

=item 'expanded' (boolean : readable / writable / construct / private)

Whether the expander has been opened to reveal the child widget

=item 'label' (string : readable / writable / construct / private)

Text of the expander's label

=item 'label-widget' (Gtk2::Widget : readable / writable / private)

A widget to display in place of the usual expander label

=item 'spacing' (integer : readable / writable / private)

Space to put between the label and the child

=item 'use-markup' (boolean : readable / writable / construct / private)

The text of the label includes XML markup. See pango_parse_markup()

=item 'use-underline' (boolean : readable / writable / construct / private)

If set, an underline in the text indicates the next character should be used for the mnemonic accelerator key

=back


=head1 SIGNALS

=over

=item B<activate> (Gtk2::Expander)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

